diffstat for efax-0.9a efax-0.9a

 changelog                          |  165 +++++++++++++++++++++----------------
 compat                             |    2 
 control                            |   15 +--
 copyright                          |   93 ++++++++++----------
 install                            |    1 
 patches/00fax_locale.dpatch        |   32 -------
 patches/00fax_locale.patch         |   32 +++++++
 patches/00list                     |   11 --
 patches/01faxmail-mime.dpatch      |   33 -------
 patches/01faxmail-mime.patch       |   33 +++++++
 patches/02fax_notify.dpatch        |   32 -------
 patches/02fax_notify.patch         |   32 +++++++
 patches/03fax_send.dpatch          |   35 -------
 patches/03fax_send.patch           |   35 +++++++
 patches/04crashpowerpc.dpatch      |   56 ------------
 patches/04crashpowerpc.patch       |   56 ++++++++++++
 patches/05attachfax.dpatch         |   59 -------------
 patches/05attachfax.patch          |   59 +++++++++++++
 patches/06configfiles.dpatch       |   46 ----------
 patches/06configfiles.patch        |   46 ++++++++++
 patches/07logfilenames.dpatch      |   72 ----------------
 patches/07logfilenames.patch       |   72 ++++++++++++++++
 patches/08manpages.dpatch          |   44 ---------
 patches/08manpages.patch           |   44 +++++++++
 patches/09nonfaxFCLASSerror.dpatch |   33 -------
 patches/09nonfaxFCLASSerror.patch  |   33 +++++++
 patches/10device_halted.dpatch     |   82 ------------------
 patches/10device_halted.patch      |   82 ++++++++++++++++++
 patches/series.patch               |   11 ++
 rules                              |   80 ++---------------
 source/format                      |    1 
 31 files changed, 700 insertions(+), 727 deletions(-)

diff -Nru efax-0.9a/debian/changelog efax-0.9a/debian/changelog
--- efax-0.9a/debian/changelog	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/changelog	2011-09-25 14:20:25.000000000 +0300
@@ -1,3 +1,30 @@
+efax (1:0.9a-19.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+    - Move to packaging format "3.0 (quilt)".
+  * debian/changelog
+    - Remove EOL whitespaces.
+  * debian/compat
+    - Update to 8.
+  * debian/control
+    - Remove EOL whitespaces.
+    - (Build-Depends): update to debhelper 8. Remove dpatch.
+    - (Homepage): Add.
+    - (Standards-Version): Update to 3.9.2.
+    - (Suggests): Replace obsoltet gs with ghostscript (Closes: #642830).
+  * debian/copyright
+    - Update to DEP 5.
+  * debian/patches/series
+    - Renamed from 00list.
+  debian/install
+    - New file.
+  * debian/rules
+    - Update to dh(1).
+  * debian/source/format
+    - New file.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sun, 25 Sep 2011 14:20:25 +0300
+
 efax (1:0.9a-19) unstable; urgency=low
 
   * debian/patches/00list: apply patch from DEXTARR and brown paper bag
@@ -54,7 +81,7 @@
   * Invoke db_purge on upgrades.
   * Clean up packaging (debhelper v1), by repackaging from scratch with
     dh_make and dpatch. - Standards-Version: 3.6.1
-    
+
  -- Andreas Metzler <ametzler@debian.org>  Thu,  2 Dec 2004 09:08:48 +0100
 
 efax (1:0.9a-14) unstable; urgency=low
@@ -71,23 +98,23 @@
     specify the file to send with fax script (Closes: #144406)
 
  -- Filippo Panessa <kalem@linux.it>  Fri, 18 Apr 2003 17:44:01 +0200
- 
+
 efax (1:0.9a-12) unstable; urgency=low
 
   * New maintainer
   * New debian build scripts
-  * debian/templates: Added Russian (ru_RU.KOI8-R) text using patch by Ilgiz 
-    Kalmetev <ilgiz@bashtelecom.ru> (Closes: #137162) 
-  * debian/templates: Added Danish (da_DK) text using patch by Morten 
+  * debian/templates: Added Russian (ru_RU.KOI8-R) text using patch by Ilgiz
+    Kalmetev <ilgiz@bashtelecom.ru> (Closes: #137162)
+  * debian/templates: Added Danish (da_DK) text using patch by Morten
     Brix Pedersen <morten@wtf.dk> (Closes: #176007)
   * debian/templates: Added Italian (it_IT) text
-  * debian/patches: 00fax_locale.diff - Fixed fax (view|make|send) for 
+  * debian/patches: 00fax_locale.diff - Fixed fax (view|make|send) for
     all locales (Closes: #160926, #165832)
-  * debian/patches: 01faxmail-mime.diff - Fixed wrong MIME generates from 
+  * debian/patches: 01faxmail-mime.diff - Fixed wrong MIME generates from
     fax scripts in faxmail function (Closes: #140114)
-  
+
  -- Filippo Panessa <kalem@linux.it>  Mon, 14 Apr 2003 00:16:59 +0200
- 
+
 efax (1:0.9a-11) unstable; urgency=low
 
   * Orphaned: maintainer set to QA team.
@@ -101,11 +128,11 @@
 
 efax (1:0.9a-10) unstable; urgency=low
 
-  * Changed paper sizes in fax to mm using fix by Masaki Shinomiya 
+  * Changed paper sizes in fax to mm using fix by Masaki Shinomiya
   <shino@pos.to>. Closes: #153537
   * Added patch from Masaki Shinomiya <shino@pos.to> to efax.c for
   Sparc.
-  
+
  -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sat, 20 Jul 2002 10:39:42 +0100
 
 efax (1:0.9a-9) unstable; urgency=low
@@ -134,7 +161,7 @@
   * debian/templates: New debconf text in spanish (Closes: #102814)
   * debian/control: Added make to Depends (Closes: #106243)
   * debian/templates: Changed Type from text to note (Closes: #106335)
-  
+
  -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Jul 2001 22:04:11 -0500
 
 efax (1:0.9a-5) unstable; urgency=low
@@ -147,8 +174,8 @@
 efax (1:0.9a-4) unstable; urgency=low
 
   * debian/templates: New debconf text for sv and de (Closes: #83676, #86215)
-  * debian/conffiles: Added /etc/cron.weekly/efax as a conffile	
-  
+  * debian/conffiles: Added /etc/cron.weekly/efax as a conffile
+
  -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Feb 2001 21:46:06 -0600
 
 efax (1:0.9a-3) unstable; urgency=low
@@ -168,12 +195,12 @@
 
   * Upgraded to the last development release 0.9a-990411 (Closes: #76202)
   * Also applied patches from the 0.9 releases 0.9-5 and 0.9-6
-  
+
  -- Dirk Eddelbuettel <edd@debian.org>  Sat,  4 Nov 2000 16:17:20 -0600
 
 efax (1:0.9-6) unstable; urgency=low
 
-  * fax: Modified to allow usage of .pdf files as suggested by Barak 
+  * fax: Modified to allow usage of .pdf files as suggested by Barak
     in bug report #70641. The more encompassing change to use file and
     magic2mime is left for another time (Closes: #70641)
 
@@ -183,7 +210,7 @@
 
   * efix.1: Applied two character patch to correct a paragraph (Closes: #58742)
   * debian/control: Added Build-Depends
-  
+
  -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Feb 2000 20:49:25 -0500
 
 efax (1:0.9-4) unstable; urgency=low
@@ -195,9 +222,9 @@
 
 efax (1:0.9-3) unstable; urgency=low
 
-  * debian/rules: Now uses debconf for messages 
+  * debian/rules: Now uses debconf for messages
   * debian/rules: Adapted to use /usr/share/ following the recommendation
-    on FHS transition from the Technical Committee 
+    on FHS transition from the Technical Committee
   * debian/rules: Test for debhelper >= 2.0.50 for FHS compliance
   * debian/control: Upgraded to Debian Policy 3.1.0
 
@@ -250,11 +277,11 @@
 
   * Compiled with GNU libc2 aka libc6 (which required two small changes
     to two header files which were proposed by the upstream author)
-  * efax_08a.orig.tar.gz is now a copy of the original efax08a.tar.gz 
+  * efax_08a.orig.tar.gz is now a copy of the original efax08a.tar.gz
   * Finally did 's/cua/ttyS/g' on efax.1, fax and fax.1
-  * Removed conversion functions (for transition from efax_07a-{0,1} 
+  * Removed conversion functions (for transition from efax_07a-{0,1}
     of Debian 0.93R6) from {pre,post}inst (closes #11738)
-  
+
  -- Dirk Eddelbuettel <edd@debian.org>  Thu,  7 Aug 1997 21:48:44 -0400
 
 efax (08a-3) unstable; urgency=low
@@ -275,89 +302,87 @@
   * Debian package is no longer patched for qfax support
 
   * Converted package management files to new Debian-1.2 style
-  * Changed maintainer email address to <edd@debian.org>           
+  * Changed maintainer email address to <edd@debian.org>
 
  -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Oct 1996 14:36:34 -0400
 
 Fri Apr 12 11:39:08 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
 
-	* efax-07a-6 release
-	
-	* efax.rc: FAXLOGDIR=/var/log/efax (fixes bug #2594)
+        * efax-07a-6 release
+
+        * efax.rc: FAXLOGDIR=/var/log/efax (fixes bug #2594)
+
+        * debian.postinst: move logfiles to new location /var/log/efax
 
-	* debian.postinst: move logfiles to new location /var/log/efax
+        * added cron.weekly script to delete old logfiles
 
-	* added cron.weekly script to delete old logfiles
+        * debian.control: added Architecture: field
 
-	* debian.control: added Architecture: field
-	
 Tue Jan 16 13:51:30 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
 
-	* efax-07a-5 release
-	
-	* debian.rules: permissions on /var/spool/fax/* dirs now 2770
+        * efax-07a-5 release
 
-	* fax: changed DATAINIT variable to contain &C1; fax calls still
-	  get &C0 from the INIT variable (bug #1949)
+        * debian.rules: permissions on /var/spool/fax/* dirs now 2770
 
-	* fax: changed FAXDIR to FAXINDIR on line 427 (bug #2100) 
+        * fax: changed DATAINIT variable to contain &C1; fax calls still
+          get &C0 from the INIT variable (bug #1949)
 
-	* efix.c: applied patch by Ed Casas
+        * fax: changed FAXDIR to FAXINDIR on line 427 (bug #2100)
+
+        * efix.c: applied patch by Ed Casas
 
 Sun Dec 17 16:34:41 1995  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
 
-	* efax-07a-4 release
+        * efax-07a-4 release
 
-	* debian.rules: include missing debian.preinst (bug #2041) and
-	  really create the directories in /var/spool/fax
+        * debian.rules: include missing debian.preinst (bug #2041) and
+          really create the directories in /var/spool/fax
 
-	* debian.postinst: quoted strings (bug #2041) 
+        * debian.postinst: quoted strings (bug #2041)
 
 Sat Dec 16 14:26:19 1995  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
 
-	* efax-07a-3 release
+        * efax-07a-3 release
+
+        * efax.rc: (no real change) FAXINDIR, FAXOUTDIR, FAXLOGDIR use
+          /var/spool/* and not /usr/spool/* as this looks better (bug #2033)
 
-	* efax.rc: (no real change) FAXINDIR, FAXOUTDIR, FAXLOGDIR use 
-	  /var/spool/* and not /usr/spool/* as this looks better (bug #2033)
+        * debian.rules: creates directories recvq, sendq and log in
+          /var/spool/fax with mode 2775 and group dialout (bug #2033)
 
-	* debian.rules: creates directories recvq, sendq and log in 
-	  /var/spool/fax with mode 2775 and group dialout (bug #2033)
+        * debian.postinst, debian.control: suggests "/etc/efax.rc" for
+          local changes instead of /usr/bin/fax (bug #2033)
 
-	* debian.postinst, debian.control: suggests "/etc/efax.rc" for
-	  local changes instead of /usr/bin/fax (bug #2033)
+        * debian.postinst, debian.preinst: save existing fax script and
+          deal with it; /usr/bin/fax is no longer a conffile (bug #2033)
 
-	* debian.postinst, debian.preinst: save existing fax script and
- 	  deal with it; /usr/bin/fax is no longer a conffile (bug #2033)
-	
 Mon Dec 11 20:27:42 1995  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
 
-	* efax-07a-2 release
+        * efax-07a-2 release
 
-	* efax.c: version string reflects Debian upon author's request
+        * efax.c: version string reflects Debian upon author's request
 
-	* efax.c and fax patched with qfax patches from ftp.renaissoft.com
- 	  This version of efax can now be used with the qfax program suite
- 	  that adds an e-mail-to-fax gateway to efax, a phonebook database
- 	  system, automated cover page generation, and fax spooling for
- 	  delayed transmission of faxes.
+        * efax.c and fax patched with qfax patches from ftp.renaissoft.com
+          This version of efax can now be used with the qfax program suite
+          that adds an e-mail-to-fax gateway to efax, a phonebook database
+          system, automated cover page generation, and fax spooling for
+          delayed transmission of faxes.
 
-	* fax: now sources /etc/efax.rc and/or ~/.efaxrc, manpage updated
+        * fax: now sources /etc/efax.rc and/or ~/.efaxrc, manpage updated
 
-	* debian.postinst: warn if no user in group dialout
+        * debian.postinst: warn if no user in group dialout
 
-	* debian.control: ELF release, depends on libc5
+        * debian.control: ELF release, depends on libc5
 
 Tue Sep 26 13:50:50 1995  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
 
-	* efax-07a-1 release
+        * efax-07a-1 release
 
-	* debian.control: Changes Depends: gs to Suggests: gs and reworded
-	  the description to explain that only ascii text can be faxed
-	  without ghostscript
- 
-Thu Sep  7 23:05:53 1995  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
+        * debian.control: Changes Depends: gs to Suggests: gs and reworded
+          the description to explain that only ascii text can be faxed
+          without ghostscript
 
-	* efax-07a-0: Initial Debian release, added package maintenance
-	  files, edited Makefile and /usr/bin/fax slightly to Debian standards 
+Thu Sep  7 23:05:53 1995  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
 
-             
+        * efax-07a-0: Initial Debian release, added package maintenance
+          files, edited Makefile and /usr/bin/fax slightly to Debian standards
diff -Nru efax-0.9a/debian/compat efax-0.9a/debian/compat
--- efax-0.9a/debian/compat	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/compat	2011-09-25 13:27:22.000000000 +0300
@@ -1 +1 @@
-4
+8
diff -Nru efax-0.9a/debian/control efax-0.9a/debian/control
--- efax-0.9a/debian/control	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/control	2011-09-25 13:57:07.000000000 +0300
@@ -2,20 +2,21 @@
 Section: comm
 Priority: optional
 Maintainer: MJ Ray (Debian) <mjr@debian.org>
-Build-Depends: debhelper (>= 4.0.0), dpatch
-Standards-Version: 3.6.2.0
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.2
+Homepage: http://www.cce.com/efax/
 
 Package: efax
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpaper-utils, debconf (>= 0.5) | debconf-2.0, make
-Suggests: gs, xloadimage | imagemagick | mgetty-viewfax
+Suggests: ghostscript, xloadimage | imagemagick | mgetty-viewfax
 Description: programs to send and receive fax messages
  efax is a small ANSI C/POSIX program that provides the data transport
- function for fax applications using any Class 1 or Class 2 fax modem. 
- Another program, efix, converts between fax, text, bitmap and grayscale 
- formats. fax, a shell script, provides a simple user interface to the efax 
+ function for fax applications using any Class 1 or Class 2 fax modem.
+ Another program, efix, converts between fax, text, bitmap and grayscale
+ formats. fax, a shell script, provides a simple user interface to the efax
  and efix programs. It allows you to send text or Postscript files as faxes
- and receive, print or preview received faxes. 
+ and receive, print or preview received faxes.
  .
  The ghostscript package is needed to fax Postscript files, and an image
  viewing program like xloadimage is needed to view incoming faxes.
diff -Nru efax-0.9a/debian/copyright efax-0.9a/debian/copyright
--- efax-0.9a/debian/copyright	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/copyright	2011-10-17 10:21:55.000000000 +0300
@@ -1,44 +1,49 @@
-
-This is Debian GNU/Linux's prepackaged version of the 'efax' utility.
-'efax' permits to send, receive, view and print fax messages. 'efax' was
-written by Ed Casas <edc@cce.com>.
-
-Homepage and Download location: http://www.cce.com/efax/
-
-This package was put together by Dirk Eddelbuettel <edd@debian.org>
-
-Small changes that were made as adding the Debian package maintenance system
-as well as editing some files to follow Debian and FSSTND conventions.
-
-The copyright statement for efax follows:
-
-    Copyright (C) 1995  Ed Casas
-
-    This program is free software; you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation; either version 2 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program;  if not, write to the Free Software Foundation, 
-    Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
-
-On Debian GNU/Linux systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL'.
-
-The source files also contain the following two paragraphs:
-
-    Please contact the author if you wish to use efax or efix in
-    ways not covered by the GNU GPL.
-
-    You may contact the author by e-mail at: edc@cce.com, by mail
-    at: 2629 West 3rd Ave, Vancouver, BC, Canada, V6K 1M4, or by
-    fax at: +1 604 734 5291.
-
-
-                                                                           
+Format: http://anonscm.debian.org/viewvc/dep/web/deps/dep5.mdwn?revision=174
+X-Format: http://dep.debian.net/deps/dep5
+Upstream-Name: efax
+Upstream-Contact: David Lindes <src/ttyload@daveltd.com>
+Source: http://www.cce.com/efax/
+
+Files: *
+Copyright:
+ 2011	   Jari Aalto <jari.aalto@cante.net>
+ 2005-2006 MJ Ray (Debian) <mjr@debian.org>
+ 2004      Andreas Metzler <ametzler@debian.org>
+ 2004      Francesco Paolo Lovergine <frankie@debian.org>
+ 2003	   Filippo Panessa <kalem@linux.it>
+ 2003 	   Francesco Paolo Lovergine <frankie@debian.org>
+ 2002	   Muhammad Hussain Yusuf <yusuf@debian.org>
+ 1996-2002 Dirk Eddelbuettel <edd@debian.org>
+ 1995      Ed Casas <edc@cce.com>
+License: GPL-2+
+X-Comment:
+ The source files also contain the following two paragraphs:
+ .
+ Please contact the author if you wish to use efax or efix in
+ ways not covered by the GNU GPL.
+ .
+ You may contact the author by e-mail at: edc@cce.com, by mail
+ at: 2629 West 3rd Ave, Vancouver, BC, Canada, V6K 1M4, or by
+ fax at: +1 604 734 5291.
+
+Files: debian/*
+Copyright:
+ Dirk Eddelbuettel <edd@debian.org>
+License: GPL-2+
+
+License: GPL-2+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License can be found in "/usr/share/common-licenses/GPL-2".
diff -Nru efax-0.9a/debian/install efax-0.9a/debian/install
--- efax-0.9a/debian/install	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/install	2011-09-25 14:15:23.000000000 +0300
@@ -0,0 +1 @@
+debian/*.rc etc
diff -Nru efax-0.9a/debian/patches/00fax_locale.dpatch efax-0.9a/debian/patches/00fax_locale.dpatch
--- efax-0.9a/debian/patches/00fax_locale.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/00fax_locale.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,32 +0,0 @@
-#! /bin/sh -e
-## 00fax_locale by Filippo Panessa
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fixed fax (view|make|send) for all locales (Closes: #160926, #165832)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a.orig/efix.c efax-0.9a/efix.c
---- efax-0.9a.orig/efix.c	2000-02-06 23:36:25.000000000 +0100
-+++ efax-0.9a/efix.c	2003-04-10 18:58:30.000000000 +0200
-@@ -249,7 +249,7 @@
- 
-   argv0 = argv[0] ;
- 
--  setlocale ( LC_ALL, "" ) ;
-+  // setlocale ( LC_ALL, "" ) ;
- 
-   /* process arguments */
- 
diff -Nru efax-0.9a/debian/patches/00fax_locale.patch efax-0.9a/debian/patches/00fax_locale.patch
--- efax-0.9a/debian/patches/00fax_locale.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/00fax_locale.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,32 @@
+#! /bin/sh -e
+## 00fax_locale by Filippo Panessa
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixed fax (view|make|send) for all locales (Closes: #160926, #165832)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a.orig/efix.c efax-0.9a/efix.c
+--- efax-0.9a.orig/efix.c	2000-02-06 23:36:25.000000000 +0100
++++ efax-0.9a/efix.c	2003-04-10 18:58:30.000000000 +0200
+@@ -249,7 +249,7 @@
+ 
+   argv0 = argv[0] ;
+ 
+-  setlocale ( LC_ALL, "" ) ;
++  // setlocale ( LC_ALL, "" ) ;
+ 
+   /* process arguments */
+ 
diff -Nru efax-0.9a/debian/patches/00list efax-0.9a/debian/patches/00list
--- efax-0.9a/debian/patches/00list	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/00list	1970-01-01 02:00:00.000000000 +0200
@@ -1,11 +0,0 @@
-00fax_locale
-01faxmail-mime
-02fax_notify
-03fax_send
-04crashpowerpc
-05attachfax.dpatch
-06configfiles.dpatch
-07logfilenames.dpatch
-08manpages.dpatch
-09nonfaxFCLASSerror.dpatch
-10device_halted.dpatch
diff -Nru efax-0.9a/debian/patches/01faxmail-mime.dpatch efax-0.9a/debian/patches/01faxmail-mime.dpatch
--- efax-0.9a/debian/patches/01faxmail-mime.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/01faxmail-mime.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,33 +0,0 @@
-#! /bin/sh -e
-## 01faxmail-mime by Filippo Panessa
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fixed wrong MIME generates from fax scripts in faxmail function
-## DP: (Closes: #140114)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
---- efax-0.9a.orig/fax	2003-04-11 01:01:27.000000000 +0200
-+++ efax-0.9a/fax	2003-04-11 01:01:53.000000000 +0200
-@@ -488,7 +488,7 @@
-      echo "Content-Disposition: attachment; filename=\"$f.tiff\""
-      echo ""
-      $EFIX -M <$f
--     echo "--EFAX_MAIL--"
-+     # echo "--EFAX_MAIL--"
-    done
-    echo "--EFAX_MAIL--"
- }
diff -Nru efax-0.9a/debian/patches/01faxmail-mime.patch efax-0.9a/debian/patches/01faxmail-mime.patch
--- efax-0.9a/debian/patches/01faxmail-mime.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/01faxmail-mime.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,33 @@
+#! /bin/sh -e
+## 01faxmail-mime by Filippo Panessa
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixed wrong MIME generates from fax scripts in faxmail function
+## DP: (Closes: #140114)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
+--- efax-0.9a.orig/fax	2003-04-11 01:01:27.000000000 +0200
++++ efax-0.9a/fax	2003-04-11 01:01:53.000000000 +0200
+@@ -488,7 +488,7 @@
+      echo "Content-Disposition: attachment; filename=\"$f.tiff\""
+      echo ""
+      $EFIX -M <$f
+-     echo "--EFAX_MAIL--"
++     # echo "--EFAX_MAIL--"
+    done
+    echo "--EFAX_MAIL--"
+ }
diff -Nru efax-0.9a/debian/patches/02fax_notify.dpatch efax-0.9a/debian/patches/02fax_notify.dpatch
--- efax-0.9a/debian/patches/02fax_notify.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/02fax_notify.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,32 +0,0 @@
-#! /bin/sh -e
-## 02fax_notify by Filippo Panessa
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fixed REMID and FILES values in NOTIFY fax script (Closes: #130614)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
---- efax-0.9a.orig/fax	2003-04-14 00:13:01.000000000 +0200
-+++ efax-0.9a/fax	2003-04-14 00:13:40.000000000 +0200
-@@ -335,7 +335,7 @@
- # as MIME image/tiff attachments.  Comment this out to do
- # nothing.  Protect with single quotes.
- 
--NOTIFY='faxmail | $SENDMAIL $FAXMGR'
-+NOTIFY='faxmail "$REMID" "$f" $FILES | $SENDMAIL $FAXMGR'
- # NOTIFY='mail -s "fax/message from $REMID: $FILES" $FAXMGR <$f'
- # NOTIFY='lpr $f ; $FAX print $OPT $FILES'
- 
diff -Nru efax-0.9a/debian/patches/02fax_notify.patch efax-0.9a/debian/patches/02fax_notify.patch
--- efax-0.9a/debian/patches/02fax_notify.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/02fax_notify.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,32 @@
+#! /bin/sh -e
+## 02fax_notify by Filippo Panessa
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixed REMID and FILES values in NOTIFY fax script (Closes: #130614)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
+--- efax-0.9a.orig/fax	2003-04-14 00:13:01.000000000 +0200
++++ efax-0.9a/fax	2003-04-14 00:13:40.000000000 +0200
+@@ -335,7 +335,7 @@
+ # as MIME image/tiff attachments.  Comment this out to do
+ # nothing.  Protect with single quotes.
+ 
+-NOTIFY='faxmail | $SENDMAIL $FAXMGR'
++NOTIFY='faxmail "$REMID" "$f" $FILES | $SENDMAIL $FAXMGR'
+ # NOTIFY='mail -s "fax/message from $REMID: $FILES" $FAXMGR <$f'
+ # NOTIFY='lpr $f ; $FAX print $OPT $FILES'
+ 
diff -Nru efax-0.9a/debian/patches/03fax_send.dpatch efax-0.9a/debian/patches/03fax_send.dpatch
--- efax-0.9a/debian/patches/03fax_send.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/03fax_send.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,35 +0,0 @@
-#! /bin/sh -e
-## 03fax_send by Filippo Panessa
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Added feedback when user forgets to specify the file to send with
-## DP: fax script (Closes: #144406)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a/fax efax-0.9a.orig/fax
---- efax-0.9a/fax	2003-04-18 17:53:48.000000000 +0200
-+++ efax-0.9a.orig/fax	2003-04-18 17:56:39.000000000 +0200
-@@ -795,6 +795,10 @@
- 	0) echo "missing phone number to call" ; ERR=2 ; break ;;
- 	esac
- 
-+   case $# in
-+   1) echo "missing file to send" ; ERR=2 ; break ;;
-+	esac
-+					
- 	# look up names
- 
- 	case $1 in 
diff -Nru efax-0.9a/debian/patches/03fax_send.patch efax-0.9a/debian/patches/03fax_send.patch
--- efax-0.9a/debian/patches/03fax_send.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/03fax_send.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,35 @@
+#! /bin/sh -e
+## 03fax_send by Filippo Panessa
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Added feedback when user forgets to specify the file to send with
+## DP: fax script (Closes: #144406)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a/fax efax-0.9a.orig/fax
+--- efax-0.9a/fax	2003-04-18 17:53:48.000000000 +0200
++++ efax-0.9a.orig/fax	2003-04-18 17:56:39.000000000 +0200
+@@ -795,6 +795,10 @@
+ 	0) echo "missing phone number to call" ; ERR=2 ; break ;;
+ 	esac
+ 
++   case $# in
++   1) echo "missing file to send" ; ERR=2 ; break ;;
++	esac
++					
+ 	# look up names
+ 
+ 	case $1 in 
diff -Nru efax-0.9a/debian/patches/04crashpowerpc.dpatch efax-0.9a/debian/patches/04crashpowerpc.dpatch
--- efax-0.9a/debian/patches/04crashpowerpc.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/04crashpowerpc.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,56 +0,0 @@
-#! /bin/sh -e
-## 03fax_send by Matteo Frigo
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fix segfault on PowerPC #280271
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
---- efax-0.9a-001114/efaxmsg.c	1999-03-19 22:38:20.000000000 -0600
-+++ efax-0.9a/efaxmsg.c	2004-11-27 19:20:04.083647672 -0600
-@@ -98,9 +98,6 @@
-   int err=0, i, flags=0 ;
-   char *p ;
-   
--  va_list ap ;
--  va_start ( ap, fmt ) ;
--
-   if ( ! init ) {
-     logfile[0] = stderr ;
-     logfile[1] = stdout ;
-@@ -111,6 +108,9 @@
-   }
-   
-   for ( i=0 ; i<NLOG ; i++ ) {
-+       va_list ap ;
-+       va_start ( ap, fmt ) ;
-+
- 
-     for ( p=fmt ; *p ; p++ ) {
-       switch ( *p ) {
-@@ -148,10 +148,10 @@
-       if ( ! ( flags & NOFLSH ) ) fflush ( logfile[i] ) ;
-       
-     }
--    
-+
-+    va_end ( ap ) ;
-   }
-   
--  va_end ( ap ) ;
-   
-   return err ;
- }
-
diff -Nru efax-0.9a/debian/patches/04crashpowerpc.patch efax-0.9a/debian/patches/04crashpowerpc.patch
--- efax-0.9a/debian/patches/04crashpowerpc.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/04crashpowerpc.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,56 @@
+#! /bin/sh -e
+## 03fax_send by Matteo Frigo
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix segfault on PowerPC #280271
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+--- efax-0.9a-001114/efaxmsg.c	1999-03-19 22:38:20.000000000 -0600
++++ efax-0.9a/efaxmsg.c	2004-11-27 19:20:04.083647672 -0600
+@@ -98,9 +98,6 @@
+   int err=0, i, flags=0 ;
+   char *p ;
+   
+-  va_list ap ;
+-  va_start ( ap, fmt ) ;
+-
+   if ( ! init ) {
+     logfile[0] = stderr ;
+     logfile[1] = stdout ;
+@@ -111,6 +108,9 @@
+   }
+   
+   for ( i=0 ; i<NLOG ; i++ ) {
++       va_list ap ;
++       va_start ( ap, fmt ) ;
++
+ 
+     for ( p=fmt ; *p ; p++ ) {
+       switch ( *p ) {
+@@ -148,10 +148,10 @@
+       if ( ! ( flags & NOFLSH ) ) fflush ( logfile[i] ) ;
+       
+     }
+-    
++
++    va_end ( ap ) ;
+   }
+   
+-  va_end ( ap ) ;
+   
+   return err ;
+ }
+
diff -Nru efax-0.9a/debian/patches/05attachfax.dpatch efax-0.9a/debian/patches/05attachfax.dpatch
--- efax-0.9a/debian/patches/05attachfax.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/05attachfax.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,59 +0,0 @@
-#! /bin/sh -e
-## 05attachfax by Joerg Dorchain
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Actually attach faxes to faxmail
-## DP: (Closes: #238136)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
---- efax-0.9a.orig/fax	2004-03-01 22:54:11.000000000 +0100
-+++ efax-0.9a/fax	2003-08-15 17:04:47.000000000 +0200
-@@ -482,13 +482,15 @@
-    cat $f
-    for f in $FILES
-    do
--     echo "--EFAX_MAIL"
--     echo "Content-Type: image/tiff; name=\"$f.tiff\""
--     echo "Content-Transfer-Encoding: base64"
--     echo "Content-Disposition: attachment; filename=\"$f.tiff\""
--     echo ""
--     $EFIX -M <$f
--     # echo "--EFAX_MAIL--"
-+     if [ -r $f ] ; then
-+       echo "--EFAX_MAIL"
-+       echo "Content-Type: image/tiff; name=\"$f.tiff\""
-+       echo "Content-Transfer-Encoding: base64"
-+       echo "Content-Disposition: attachment; filename=\"$f.tiff\""
-+       echo ""
-+       $EFIX -M <$f
-+       # echo "--EFAX_MAIL--"
-+     fi
-    done
-    echo "--EFAX_MAIL--"
- }
-@@ -525,7 +527,10 @@
- 	  0) 
- 	  	$RM $f
- 	  ;;
--	  1)    FILES=`sed -n -e  '/received ->/s/^.*-> \(.*\)$/\1/p' $f`
-+	  1)    
-+#	  	FILES=`sed -n -e  '/received ->/s/^.*-> \(.*\)$/\1/p' $f`
-+	  	FILES=`sed -n -e  '/wrote /s/^.* wrote \(.*\) as .*$/\1/p' $f`
-+
- 		FILES=`echo $FILES`
- 		REMID=`sed -n -e '/remote ID ->/s/^.*-> \(.*\)$/\1/p' \
- 			-e tok -e b -e ':ok' -e q $f`
diff -Nru efax-0.9a/debian/patches/05attachfax.patch efax-0.9a/debian/patches/05attachfax.patch
--- efax-0.9a/debian/patches/05attachfax.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/05attachfax.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,59 @@
+#! /bin/sh -e
+## 05attachfax by Joerg Dorchain
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Actually attach faxes to faxmail
+## DP: (Closes: #238136)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
+--- efax-0.9a.orig/fax	2004-03-01 22:54:11.000000000 +0100
++++ efax-0.9a/fax	2003-08-15 17:04:47.000000000 +0200
+@@ -482,13 +482,15 @@
+    cat $f
+    for f in $FILES
+    do
+-     echo "--EFAX_MAIL"
+-     echo "Content-Type: image/tiff; name=\"$f.tiff\""
+-     echo "Content-Transfer-Encoding: base64"
+-     echo "Content-Disposition: attachment; filename=\"$f.tiff\""
+-     echo ""
+-     $EFIX -M <$f
+-     # echo "--EFAX_MAIL--"
++     if [ -r $f ] ; then
++       echo "--EFAX_MAIL"
++       echo "Content-Type: image/tiff; name=\"$f.tiff\""
++       echo "Content-Transfer-Encoding: base64"
++       echo "Content-Disposition: attachment; filename=\"$f.tiff\""
++       echo ""
++       $EFIX -M <$f
++       # echo "--EFAX_MAIL--"
++     fi
+    done
+    echo "--EFAX_MAIL--"
+ }
+@@ -525,7 +527,10 @@
+ 	  0) 
+ 	  	$RM $f
+ 	  ;;
+-	  1)    FILES=`sed -n -e  '/received ->/s/^.*-> \(.*\)$/\1/p' $f`
++	  1)    
++#	  	FILES=`sed -n -e  '/received ->/s/^.*-> \(.*\)$/\1/p' $f`
++	  	FILES=`sed -n -e  '/wrote /s/^.* wrote \(.*\) as .*$/\1/p' $f`
++
+ 		FILES=`echo $FILES`
+ 		REMID=`sed -n -e '/remote ID ->/s/^.*-> \(.*\)$/\1/p' \
+ 			-e tok -e b -e ':ok' -e q $f`
diff -Nru efax-0.9a/debian/patches/06configfiles.dpatch efax-0.9a/debian/patches/06configfiles.dpatch
--- efax-0.9a/debian/patches/06configfiles.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/06configfiles.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,46 +0,0 @@
-#! /bin/sh -e
-## 06configfiles by Paolo P.
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Actually read other CONFIGFILES
-## DP: (Closes: #198149)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
---- efax-0.9a.orig/fax	Sat Apr 19 00:00:00 2003
-+++ efax-0.9a.orig/fax	Fri Jun 20 07:57:05 2003
-@@ -408,13 +408,17 @@
- # ****************************************************************
- 
- # --- source configuration files
--
--for f in $CONFIGFILES
--do
-+oCONFIGFILES=
-+while [ "$CONFIGFILES" != "$oCONFIGFILES" ]; do
-+# loop needed if we allow CONFIGFILES to change in default CONFIGFILES'
-+  oCONFIGFILES=$CONFIGFILES
-+  for f in $CONFIGFILES
-+  do
- 	if [ -r $f ]
- 	then
- 		. $f
- 	fi
-+  done
- done
- 
- # --- set any variables given on command line
-
diff -Nru efax-0.9a/debian/patches/06configfiles.patch efax-0.9a/debian/patches/06configfiles.patch
--- efax-0.9a/debian/patches/06configfiles.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/06configfiles.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,46 @@
+#! /bin/sh -e
+## 06configfiles by Paolo P.
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Actually read other CONFIGFILES
+## DP: (Closes: #198149)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
+--- efax-0.9a.orig/fax	Sat Apr 19 00:00:00 2003
++++ efax-0.9a.orig/fax	Fri Jun 20 07:57:05 2003
+@@ -408,13 +408,17 @@
+ # ****************************************************************
+ 
+ # --- source configuration files
+-
+-for f in $CONFIGFILES
+-do
++oCONFIGFILES=
++while [ "$CONFIGFILES" != "$oCONFIGFILES" ]; do
++# loop needed if we allow CONFIGFILES to change in default CONFIGFILES'
++  oCONFIGFILES=$CONFIGFILES
++  for f in $CONFIGFILES
++  do
+ 	if [ -r $f ]
+ 	then
+ 		. $f
+ 	fi
++  done
+ done
+ 
+ # --- set any variables given on command line
+
diff -Nru efax-0.9a/debian/patches/07logfilenames.dpatch efax-0.9a/debian/patches/07logfilenames.dpatch
--- efax-0.9a/debian/patches/07logfilenames.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/07logfilenames.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,72 +0,0 @@
-#! /bin/sh -e
-## 07logfilenames by MJ Ray
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Make logfile names end with .efax.log instead of .log and change LOGDIR
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
---- efax-0.9a.orig/fax	2005-10-02 14:34:48.000000000 +0100
-+++ efax-0.9a/fax	2005-10-02 14:36:09.000000000 +0100
-@@ -305,7 +305,7 @@
- # should already exist and be writable by the user(s) of this script.
-
- FAXDIR=/var/spool/fax
--LOGDIR=/var/log/fax
-+LOGDIR=/var/log/efax
-
- # The strftime(3) pattern that generates the file name for
- # received files.  For example, at 10:45:36 on February 25,
-@@ -531,8 +531,8 @@
- 			-e tok -e b -e ':ok' -e q $f`
- 		case $REMID in '') REMID='?' ;; esac
- 		eval $NOTIFY
--		echo   >>${LOGDIR}/${DEVN}.log && \
--		cat $f >>${LOGDIR}/${DEVN}.log && \
-+		echo   >>${LOGDIR}/${DEVN}.efax.log && \
-+		cat $f >>${LOGDIR}/${DEVN}.efax.log && \
-   		$RM $f || \
- 		echo "Error: $FAX cannot save log files" >>$CONSOLE
- 	  ;;
-@@ -871,8 +871,8 @@
- 	0) ;; *) echo "Will try again in $s seconds" ; sleep $s ;;
- 	esac
- 
--#	logfile=`$TSTAMP`.log
--        logfile="$TELNO".log
-+#	logfile=`$TSTAMP`.efax.log
-+        logfile="$TELNO".efax.log
- 
- 	for t in 0 $BUSYRETRIES ; do
- 
-@@ -968,7 +968,7 @@
- 	r*)
- 	
- 	case $1 in '') file=`$TSTAMP` ;; *) file=$1 ;; esac
--	logfile=${file}.log
-+	logfile=${file}.efax.log
- 
- 	$NICE $EFAX -v "$VERB" -v "$VERBLOG" -d/dev/$DEV $LOCK $INIT $SPKR \
- 	$CLASSINIT $FCINIT $RXINIT \
-@@ -1043,7 +1043,7 @@
-  use VAR=value to set variables (e.g. "fax DEV=cua2 receive")
- 
-  session logs are written to a file with the date/time as the
-- file name and extension of .log (except for automatic reception).
-+ file name and extension of .efax.log (except for automatic reception).
- 
-  fax device is /dev/$DEV, incoming spool directory is $FAXDIR
- 
diff -Nru efax-0.9a/debian/patches/07logfilenames.patch efax-0.9a/debian/patches/07logfilenames.patch
--- efax-0.9a/debian/patches/07logfilenames.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/07logfilenames.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,72 @@
+#! /bin/sh -e
+## 07logfilenames by MJ Ray
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Make logfile names end with .efax.log instead of .log and change LOGDIR
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a.orig/fax efax-0.9a/fax
+--- efax-0.9a.orig/fax	2005-10-02 14:34:48.000000000 +0100
++++ efax-0.9a/fax	2005-10-02 14:36:09.000000000 +0100
+@@ -305,7 +305,7 @@
+ # should already exist and be writable by the user(s) of this script.
+
+ FAXDIR=/var/spool/fax
+-LOGDIR=/var/log/fax
++LOGDIR=/var/log/efax
+
+ # The strftime(3) pattern that generates the file name for
+ # received files.  For example, at 10:45:36 on February 25,
+@@ -531,8 +531,8 @@
+ 			-e tok -e b -e ':ok' -e q $f`
+ 		case $REMID in '') REMID='?' ;; esac
+ 		eval $NOTIFY
+-		echo   >>${LOGDIR}/${DEVN}.log && \
+-		cat $f >>${LOGDIR}/${DEVN}.log && \
++		echo   >>${LOGDIR}/${DEVN}.efax.log && \
++		cat $f >>${LOGDIR}/${DEVN}.efax.log && \
+   		$RM $f || \
+ 		echo "Error: $FAX cannot save log files" >>$CONSOLE
+ 	  ;;
+@@ -871,8 +871,8 @@
+ 	0) ;; *) echo "Will try again in $s seconds" ; sleep $s ;;
+ 	esac
+ 
+-#	logfile=`$TSTAMP`.log
+-        logfile="$TELNO".log
++#	logfile=`$TSTAMP`.efax.log
++        logfile="$TELNO".efax.log
+ 
+ 	for t in 0 $BUSYRETRIES ; do
+ 
+@@ -968,7 +968,7 @@
+ 	r*)
+ 	
+ 	case $1 in '') file=`$TSTAMP` ;; *) file=$1 ;; esac
+-	logfile=${file}.log
++	logfile=${file}.efax.log
+ 
+ 	$NICE $EFAX -v "$VERB" -v "$VERBLOG" -d/dev/$DEV $LOCK $INIT $SPKR \
+ 	$CLASSINIT $FCINIT $RXINIT \
+@@ -1043,7 +1043,7 @@
+  use VAR=value to set variables (e.g. "fax DEV=cua2 receive")
+ 
+  session logs are written to a file with the date/time as the
+- file name and extension of .log (except for automatic reception).
++ file name and extension of .efax.log (except for automatic reception).
+ 
+  fax device is /dev/$DEV, incoming spool directory is $FAXDIR
+ 
diff -Nru efax-0.9a/debian/patches/08manpages.dpatch efax-0.9a/debian/patches/08manpages.dpatch
--- efax-0.9a/debian/patches/08manpages.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/08manpages.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,44 +0,0 @@
-#! /bin/sh -e
-## 08manpages by MJ Ray
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Update website URL and example in man pages
-## DP: (Closes: #322258,#322259)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -Nuar efax-0.9a.orig/efax.1 efax-0.9a/efax.1
---- efax-0.9a.orig/efax.1	2000-02-24 15:35:30.000000000 +0000
-+++ efax-0.9a/efax.1	2005-10-02 14:44:05.000000000 +0100
-@@ -1177,7 +1177,7 @@
- patches is available at:
- .IP
- .ft CW
--http://casas.ee.ubc.ca/efax/
-+http://www.cce.com/efax/
- .ft P
- .LP
- 
---- efax-0.9a.orig/fax.1	1999-03-04 16:07:56.000000000 +0000
-+++ efax-0.9a/fax.1	2005-10-02 14:47:31.000000000 +0100
-@@ -83,7 +83,7 @@
- 
- Assignments of the form \fIVARIABLE\fB=\fIvalue\fR may appear
- before the command name to temporarily change the values of most
--fax script variables (e.g. ``fax PAGE=A4 print letter.001'')
-+fax script variables (e.g. ``fax PAGE=a4 print letter.001'')
- 
- 
- .SH DESCRIPTION
diff -Nru efax-0.9a/debian/patches/08manpages.patch efax-0.9a/debian/patches/08manpages.patch
--- efax-0.9a/debian/patches/08manpages.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/08manpages.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,44 @@
+#! /bin/sh -e
+## 08manpages by MJ Ray
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Update website URL and example in man pages
+## DP: (Closes: #322258,#322259)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -Nuar efax-0.9a.orig/efax.1 efax-0.9a/efax.1
+--- efax-0.9a.orig/efax.1	2000-02-24 15:35:30.000000000 +0000
++++ efax-0.9a/efax.1	2005-10-02 14:44:05.000000000 +0100
+@@ -1177,7 +1177,7 @@
+ patches is available at:
+ .IP
+ .ft CW
+-http://casas.ee.ubc.ca/efax/
++http://www.cce.com/efax/
+ .ft P
+ .LP
+ 
+--- efax-0.9a.orig/fax.1	1999-03-04 16:07:56.000000000 +0000
++++ efax-0.9a/fax.1	2005-10-02 14:47:31.000000000 +0100
+@@ -83,7 +83,7 @@
+ 
+ Assignments of the form \fIVARIABLE\fB=\fIvalue\fR may appear
+ before the command name to temporarily change the values of most
+-fax script variables (e.g. ``fax PAGE=A4 print letter.001'')
++fax script variables (e.g. ``fax PAGE=a4 print letter.001'')
+ 
+ 
+ .SH DESCRIPTION
diff -Nru efax-0.9a/debian/patches/09nonfaxFCLASSerror.dpatch efax-0.9a/debian/patches/09nonfaxFCLASSerror.dpatch
--- efax-0.9a/debian/patches/09nonfaxFCLASSerror.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/09nonfaxFCLASSerror.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,33 +0,0 @@
-#! /bin/sh -e
-## 09nonfaxFCLASSerror by Nigel Williams
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fixed error message when non-fax-capable modem supports +FCLASS command
-## DP: (Closes: #202668)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
-diff -r -U3 efax-0.9a/efax.c efax-0.9a+patch/efax.c
---- efax-0.9a/efax.c	2000-11-15 04:22:09.000000000 +1100
-+++ efax-0.9a+patch/efax.c	2003-07-24 16:56:08.000000000 +1000
-@@ -2069,6 +2069,7 @@
-       if ( strinresp ( "2.0" ) ) c20 = 1 ;
-       else if ( strinresp ( "2" ) ) ;
-       else if ( strinresp ( "1" ) ) c1 = 1 ;
-+      else if ( strinresp ( "0" ) ) err = msg ("E3 modem does not support fax" ) ;
-       else err = msg ("E3 can't determine fax modem class support" ) ;
-       if ( strstr ( model, "Sportster" ) ) { /* USR Sporsters are buggy */
- 	c1 = 1 ; 
-
diff -Nru efax-0.9a/debian/patches/09nonfaxFCLASSerror.patch efax-0.9a/debian/patches/09nonfaxFCLASSerror.patch
--- efax-0.9a/debian/patches/09nonfaxFCLASSerror.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/09nonfaxFCLASSerror.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,33 @@
+#! /bin/sh -e
+## 09nonfaxFCLASSerror by Nigel Williams
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixed error message when non-fax-capable modem supports +FCLASS command
+## DP: (Closes: #202668)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+diff -r -U3 efax-0.9a/efax.c efax-0.9a+patch/efax.c
+--- efax-0.9a/efax.c	2000-11-15 04:22:09.000000000 +1100
++++ efax-0.9a+patch/efax.c	2003-07-24 16:56:08.000000000 +1000
+@@ -2069,6 +2069,7 @@
+       if ( strinresp ( "2.0" ) ) c20 = 1 ;
+       else if ( strinresp ( "2" ) ) ;
+       else if ( strinresp ( "1" ) ) c1 = 1 ;
++      else if ( strinresp ( "0" ) ) err = msg ("E3 modem does not support fax" ) ;
+       else err = msg ("E3 can't determine fax modem class support" ) ;
+       if ( strstr ( model, "Sportster" ) ) { /* USR Sporsters are buggy */
+ 	c1 = 1 ; 
+
diff -Nru efax-0.9a/debian/patches/10device_halted.dpatch efax-0.9a/debian/patches/10device_halted.dpatch
--- efax-0.9a/debian/patches/10device_halted.dpatch	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/patches/10device_halted.dpatch	1970-01-01 02:00:00.000000000 +0200
@@ -1,82 +0,0 @@
-#! /bin/sh -e
-## 10device_halted by DEXTARR (at freemail.hu)
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: handle case when fax device is stopped (and so $logfile disappears)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
-	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-	*)
-		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-		exit 1;;
-esac
-exit 0
-
-@DPATCH@
---- efax-0.9a/fax	2005-10-28 14:46:29.000000000 +0200
-+++ efax-0.9a/fax	2006-01-06 15:31:19.000000000 +0100
-@@ -668,17 +668,21 @@
- 	cd $FAXDIR ; 
- 	case $? in 0) ;; *) echo "cannot cd to $FAXDIR" ; break ;; esac
- 
--	n= ; for f in ${DEVN}.[0-9]* ; do logfile="$f" ; n=x$n ; done
-+# if fax device is halted no infos are available
-+	if [ ! -f ${DEVN}.stop ]
-+	then 
-+	    n= ; for f in ${DEVN}.[0-9]* ; do logfile="$f" ; n=x$n ; done
-+
-+	    case $n in 
-+	    xx*) echo Warning: multiple logs for $DEV : ; ${LS} ${DEVN}.[0-9]* ;;
-+	    esac
-+
-+	    case $logfile in 
-+	    *\*) echo no fax answer process for device $DEV ; break ;;
-+	    esac
- 
--	case $n in 
--	xx*) echo Warning: multiple logs for $DEV : ; ${LS} ${DEVN}.[0-9]* ;;
--	esac
--
--	case $logfile in 
--	*\*) echo no fax answer process for device $DEV ; break ;;
--	esac
--
--	efaxpid=`echo $logfile | sed -e "s/${DEVN}\.//g"`
-+	    efaxpid=`echo $logfile | sed -e "s/${DEVN}\.//g"`
-+	fi
- 
- 	case $cmd in
- 
-@@ -695,6 +699,13 @@
- 
- 	stop)
- 
-+# if fax device is halted, just print message, no other infos are available
-+	if [ -f ${DEVN}.stop ]
-+	then
-+	    echo fax daemon for ${DEV} already stopped.
-+	    break
-+	fi
-+
- 	if [ ! -w . ] ; then echo "can't write `pwd`" ; break ; fi
- 	touch ${DEVN}.stop
- 	echo stopping fax daemon for ${DEV}, pid=$efaxpid
-@@ -707,7 +718,12 @@
- 
- 	st*)
- 
--	if [ -f ${DEVN}.stop ] ; then stat="(set to stop)" ; fi
-+# if fax device is halted, just print message, no other infos are available
-+	if [ -f ${DEVN}.stop ]
-+	then
-+	    echo "(set to stop)"
-+	    break
-+	fi
- 
-       	if ps -u $efaxpid 2>/dev/null ; then :
-       	else
diff -Nru efax-0.9a/debian/patches/10device_halted.patch efax-0.9a/debian/patches/10device_halted.patch
--- efax-0.9a/debian/patches/10device_halted.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/10device_halted.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,82 @@
+#! /bin/sh -e
+## 10device_halted by DEXTARR (at freemail.hu)
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: handle case when fax device is stopped (and so $logfile disappears)
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+	-patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0;;
+	-unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+	*)
+		echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+		exit 1;;
+esac
+exit 0
+
+@DPATCH@
+--- efax-0.9a/fax	2005-10-28 14:46:29.000000000 +0200
++++ efax-0.9a/fax	2006-01-06 15:31:19.000000000 +0100
+@@ -668,17 +668,21 @@
+ 	cd $FAXDIR ; 
+ 	case $? in 0) ;; *) echo "cannot cd to $FAXDIR" ; break ;; esac
+ 
+-	n= ; for f in ${DEVN}.[0-9]* ; do logfile="$f" ; n=x$n ; done
++# if fax device is halted no infos are available
++	if [ ! -f ${DEVN}.stop ]
++	then 
++	    n= ; for f in ${DEVN}.[0-9]* ; do logfile="$f" ; n=x$n ; done
++
++	    case $n in 
++	    xx*) echo Warning: multiple logs for $DEV : ; ${LS} ${DEVN}.[0-9]* ;;
++	    esac
++
++	    case $logfile in 
++	    *\*) echo no fax answer process for device $DEV ; break ;;
++	    esac
+ 
+-	case $n in 
+-	xx*) echo Warning: multiple logs for $DEV : ; ${LS} ${DEVN}.[0-9]* ;;
+-	esac
+-
+-	case $logfile in 
+-	*\*) echo no fax answer process for device $DEV ; break ;;
+-	esac
+-
+-	efaxpid=`echo $logfile | sed -e "s/${DEVN}\.//g"`
++	    efaxpid=`echo $logfile | sed -e "s/${DEVN}\.//g"`
++	fi
+ 
+ 	case $cmd in
+ 
+@@ -695,6 +699,13 @@
+ 
+ 	stop)
+ 
++# if fax device is halted, just print message, no other infos are available
++	if [ -f ${DEVN}.stop ]
++	then
++	    echo fax daemon for ${DEV} already stopped.
++	    break
++	fi
++
+ 	if [ ! -w . ] ; then echo "can't write `pwd`" ; break ; fi
+ 	touch ${DEVN}.stop
+ 	echo stopping fax daemon for ${DEV}, pid=$efaxpid
+@@ -707,7 +718,12 @@
+ 
+ 	st*)
+ 
+-	if [ -f ${DEVN}.stop ] ; then stat="(set to stop)" ; fi
++# if fax device is halted, just print message, no other infos are available
++	if [ -f ${DEVN}.stop ]
++	then
++	    echo "(set to stop)"
++	    break
++	fi
+ 
+       	if ps -u $efaxpid 2>/dev/null ; then :
+       	else
diff -Nru efax-0.9a/debian/patches/series.patch efax-0.9a/debian/patches/series.patch
--- efax-0.9a/debian/patches/series.patch	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/patches/series.patch	2011-09-25 13:16:35.000000000 +0300
@@ -0,0 +1,11 @@
+00fax_locale
+01faxmail-mime
+02fax_notify
+03fax_send
+04crashpowerpc
+05attachfax.dpatch
+06configfiles.dpatch
+07logfilenames.dpatch
+08manpages.dpatch
+09nonfaxFCLASSerror.dpatch
+10device_halted.dpatch
diff -Nru efax-0.9a/debian/rules efax-0.9a/debian/rules
--- efax-0.9a/debian/rules	2011-10-17 10:26:43.000000000 +0300
+++ efax-0.9a/debian/rules	2011-09-25 14:17:25.000000000 +0300
@@ -1,79 +1,19 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-include /usr/share/dpatch/dpatch.make
-
-
-CFLAGS = -Wall -g -DDEBIAN
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-
-build: build-stamp
-
-build-stamp: patch-stamp
-	dh_testdir
-
-	$(MAKE) efax CC="gcc" CFLAGS="$(CFLAGS)" 
-	$(MAKE) efix CC="gcc" CFLAGS="$(CFLAGS)"
-
-	touch build-stamp
-
-clean: clean1 unpatch
-clean1:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp configure-stamp
-
-	-$(MAKE) clean
-
-	dh_clean 
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k 
-	dh_installdirs
+override_dh_auto_install:
 	$(MAKE) install BINDIR=$(CURDIR)/debian/efax/usr/bin MANDIR=$(CURDIR)/debian/efax/usr/share/man
 
-
-# Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs 
-	dh_installdocs
-	dh_installexamples
-	dh_install
+override_dh_install:
 	install -m 0770 -o root -g dialout -d \
 		$(CURDIR)/debian/efax/var/spool/fax
 	install -m 0770 -o root -g dialout -d \
-		$(CURDIR)/debian/efax/var/log/efax 
-	dh_installcron
-	dh_strip
-	dh_compress
+		$(CURDIR)/debian/efax/var/log/efax
+	dh_install
+
+override_dh_fixperms:
 	dh_fixperms -X/var/log/efax -X/var/spool/fax
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install patch unpatch clean1
+%:
+	dh $@
+
+# End of file
diff -Nru efax-0.9a/debian/source/format efax-0.9a/debian/source/format
--- efax-0.9a/debian/source/format	1970-01-01 02:00:00.000000000 +0200
+++ efax-0.9a/debian/source/format	2011-09-25 13:27:22.000000000 +0300
@@ -0,0 +1 @@
+3.0 (quilt)
